# Additional test initialisation for C API (commands for compiling and
# running the API code).

# API code source files.

TEST_SRC_C=$TEST_SRCDIR/lib/test_c.c
TEST_EXE_C=test_c
TEST_SRC_PP=$TEST_SRCDIR/lib/test_pp.c
TEST_EXE_PP=test_pp
TEST_SRC_SP=$TEST_SRCDIR/lib/test_sp.c
TEST_EXE_SP=test_sp
TEST_SRC_SELECT=$TEST_SRCDIR/lib/test_select.c
TEST_EXE_SELECT=test_select
TEST_SRC_SHOWSIGNOFLIFE=$TEST_SRCDIR/lib/test_showSignOfLife.c
TEST_EXE_SHOWSIGNOFLIFE=test_showSignOfLife

# Function to compile test programs.

function TEST_COMPILE_RGMA()
{
	local test_src=$1
	local test_exe=$2

	$TEST_CC -I$RGMA_HOME/include -DRGMA_V4_COMPAT \
        $test_src -o $test_exe -O \
	$RGMA_HOME/lib/libglite-rgma-c.so.4 -lssl
                                                                                
	if [ $? -ne 0 -o ! -x $test_exe ]
	then
	        echo "Compilation of $test_src failed."
	        echo $TEST_FAILURE_MESSAGE
	        exit $TEST_FAILURE
	fi
}

# Command to run test programs.

TEST_RUN= #empty

# End of file.
